Ubuntu

Comment 13 for bug 1035261

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:2.34.3-3ubuntu1

---------------
metacity (1:2.34.3-3ubuntu1) quantal-proposed; urgency=low

  * Resync with Debian & refresh patches. (LP: #1032120, LP: #1035261)
    Remaining changes:
  * debian/control:
    - Suggest gnome-themes-standard instead of recommend
    - Add Vcs-Bzr link
  * debian/metacity-common.gsettings-override:
    - Set Ubuntu default button layout order for Classic session
    - Drop previous gconf overrides as obsolete
  * debian/patches/04_support_drag_drop_with_alt_tab.patch:
    - Support alt-tab during drag and drop.
  * debian/patches/05_raise_on_click_for_click_mode.patch:
    - Use raise on click option.
  * debian/patches/06_Add_UXD_shadows_and_borders.patch:
    - patch for a new key in the ubuntu theme for shows and borders
  * debian/patches/10_no-ws-switcher.patch:
    - Don't show the workspace switcher if we only have one.
  * debian/patches/12_dont-show-as-user.patch:
    - Don't show "as user" in title bar.
  * debian/patches/13_better_support_for_button_layout.patch:
    - Corrected support for buttons backgrounds with transparency
  * debian/patches/14_wrong_colormap.patch:
    - Use correct colormap to avoid crash with client side decorations
  * debian/patches/20_do-not-place-windows-over-the-launcher.patch:
    - Try to avoid an already visible launcher in intellihide mode when
      initially positioning new windows.
  * debian/patches/21_fix_compositing_startup.patch:
    Fix some weird rendering effect at startup with compositing activated
  * debian/patches/100_fade_on_long_title.patch:
    - Fade on the end if the title is too long.
  * debian/patches/102_workarea.patch,
    debian/patches/103_struts_in_the_middle.patch,
    debian/patches/104_workarea_union.patch:
    - Add barriers and multimonitor strut support for unity-2d
  * debian/patches/104_workarea_union.patch:
    - Ensure each screen_region generated by
      meta_rectangle_get_minimal_spanning_set_for_region is not outside
      the xinerama screens
  * Dropped patch:
    - 11_hide_tooltip_on_decorator.patch: Obsolete
  * debian/patches/03_strict_focus.patch:
    - Disabled. This needs gsettings-desktop-schemas to be patched if
      we want to bring this back
  * Disabled Unity 2D-related patches that need porting to gsettings:
    - 15_show_maximized_titlebars.patch
    - 16-capture-before-unmap.patch
    - 17-workspace-switcher-cycle.patch
    - 18-auto-maximize-windows.patch
    - 19_add_unity_hud_configuration.patch
    - 101_override_gconf_settings.patch

metacity (1:2.34.3-3) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_focus_new_window.patch: new patch from upstream bugzilla.
    Correctly focus new windows even when they appear behind an ?^?^?always
    on top?^?^? window. Closes: #515577.

  [ Michael Biebl ]
  * Rebuild with xz compression for binary packages.

metacity (1:2.34.3-2) unstable; urgency=low

  * Upload to unstable.
  * Replace Suggests: gnome-themes with Recommends: gnome-themes-standard
    since Adwaita is the preferred window manager theme and we want it to be
    installed by default.
  * Use strict dependency between metacity/libmetacity-private0a and
    metacity-common to ensure we have the correct version of metacity-common
    providing the org.gnome.metacity gsettings schema.

metacity (1:2.34.3-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libgtk2.0-dev to (>= 2.24.0) and libglib2.0-dev to
    (>= 2.25.10).
  * Replace libgconf2-dev Build-Depends with gsettings-desktop-schemas-dev
    (>= 3.3.0).
  * Replace libgnome2-common Depends with gsettings-desktop-schemas
    (>= 3.3.0).
  * Bump Suggests gnome-control-center to (>= 1:3.4.0).
  * Install GSettings schemas and GConf conversion script.
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.

metacity (1:2.34.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Depend on gnome-icon-theme. Closes: #638141.

  [ Michael Biebl ]
  * Use a strict dependency between metacity and libmetacity-private.
  * Due to incompatible changes in libmetacity-private, which broke reverse
    dependencies like compiz, rename the library package to
    libmetacity-private0a. Closes: #629310
  * Add Breaks/Replaces: libmetacity-private0 to libmetacity-private0a.
  * Add a lintian override for the package-name-doesnt-match-sonames warning.
  * debian/watch: Track .xz tarballs.
 -- Jeremy Bicha <email address hidden> Thu, 23 Aug 2012 11:12:43 -0400